CREATE TABLE jos_openkm_configuration(
    idConfiguration INT(11) NOT NULL AUTO_INCREMENT,
    name VARCHAR(50),
    user VARCHAR(50),
    password VARCHAR(200),    
    url VARCHAR(100),      
    okmPath VARCHAR(100),
    access VARCHAR(7),    
    passwordAccess VARCHAR(200),
    icon int,
    size int,
    updateDate int,
    author int,
    version int,
    showEntries int,
    PRIMARY KEY(idConfiguration)
);

CREATE TABLE IF NOT EXISTS jos_openkm_metadata(
    idMetadata INT(11) NOT NULL AUTO_INCREMENT,
    property VARCHAR(100),
    title VARCHAR(50),
    idConfiguration INT,
    PRIMARY KEY(idMetadata),
    FOREIGN KEY(idConfiguration) REFERENCES jos_openkm_configuration(idConfiguration)
);