<?php

/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2015 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * 
 * OKMPostViewConfiguration
 * @author Sergio Antonio Ochoa Martinez <gnu.java.sergio@gmail.com>
 */
class OpenKMViewConfiguration extends JViewLegacy {

    public function display($tpl = null) {
        $welcome = JRequest::getVar('welcome');
        $message = JRequest::getVar('message');
        $error = JRequest::getVar('error');
        $this->assignRef('welcome', $welcome);
        $this->assignRef('message', $message);
        $this->assignRef('error', $error);
        parent::display($tpl);
    }

}

?>
