<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2015 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined('_JEXEC') or die;
?>
<script type="text/javascript">
    $(document).ready(function() {

        $("#searchAdvanced").button().click(function() {
            var content = $('#contentText').val();
            var name = $('#name').val();
            var keyword = $('#keyword').val();
            if (content !== '') {
                document.formSearchAdvanced.task.value = 'searchAdvanced';
                document.formSearchAdvanced.submit();
            }
            else if (name !== '') {
                document.formSearchAdvanced.task.value = 'searchAdvanced';
                document.formSearchAdvanced.submit();
            }
            else if (keyword !== '') {
                document.formSearchAdvanced.task.value = 'searchAdvanced';
                document.formSearchAdvanced.submit();
            }
            else {
                $('#name').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED'); ?>', 'error', true);
                return false;
            }
        });

        $('*').keypress(function(e) {
            //funciona cuando se preciona la tecla enter
            if (e.keyCode == 13) {
                var content = $('#contentText').val();
                var name = $('#name').val();
                var keyword = $('#keyword').val();
                if (content !== '') {
                    document.formSearchAdvanced.task.value = 'searchAdvanced';
                    document.formSearchAdvanced.submit();
                }
                else if (name !== '') {
                    document.formSearchAdvanced.task.value = 'searchAdvanced';
                    document.formSearchAdvanced.submit();
                }
                else if (keyword !== '') {
                    document.formSearchAdvanced.task.value = 'searchAdvanced';
                    document.formSearchAdvanced.submit();
                }
                else {
                    $('#name').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED'); ?>', 'error', true);
                    return false;
                }
            }
        });


        $("#searchReturn").button().click(function() {
            document.formSearchAdvanced.task.value = 'returnDesktop';
            document.formSearchAdvanced.submit();
        });

        $('#tabSearch').tabs();

        $('#formSearchAdvanced').validationEngine();

        $("#mimeType").selectmenu();
    });


</script>
<form action= "" method="post" name="formSearchAdvanced" id="formSearchAdvanced" >
    <div class="panel panel-default"> 
        <div class="panel-heading">
            <h4><?php echo JText::_('COM_OPENKM_ADVANCED_SEARCH') ?></h4>       
        </div>
        <div class="panel-body">
            <table width="100%" class="display" cellpadding="2" cellspacing="2" border="0">
                <tr>
                    <td><label for="content" class="label-title"><?php echo JText::_('COM_OPENKM_CONTENT') ?>:</label></td>
                    <td>
                        <input type="text" name="content" id="contentText" value="" placeholder="<?php echo JText::_('COM_OPENKM_CONTENT') ?>"/>
                    </td>
                </tr>
                <tr>
                    <td><label for="name" class="label-title"><?php echo JText::_('COM_OPENKM_NAME') ?>:</label></td>
                    <td>
                        <input type="text" name="name" id="name" value="" placeholder="<?php echo JText::_('COM_OPENKM_NAME') ?>"/>
                    </td>
                </tr>
                <tr>
                    <td><label for="keyword" class="label-title"><?php echo JText::_('COM_OPENKM_KEYWORDS') ?>:</label></td>
                    <td>
                        <input type="text" name="keyword" id="keyword" value="" placeholder="<?php echo JText::_('COM_OPENKM_KEYWORDS') ?>"/>
                    </td>
                </tr>
                <tr>
                    <td><label for="type" class="label-title"><?php echo JText::_('COM_OPENKM_TYPE') ?>:</label></td>
                    <td>
                        <div style="display: inline-block;">                                                    
                            <input type="checkbox" name="document" id="document" value="1" checked/><label><?php echo JText::_('COM_OPENKM_DOCUMENT') ?></label>                        
                        </div>    
                        <div style="display: inline-block;">                                                    
                            <input type="checkbox" name="folder" id="folder" value="2" /><label><?php echo JText::_('COM_OPENKM_FOLDER') ?></label>                        
                        </div>                        
                    </td>
                </tr>
                <tr>
                    <td><label for="mimeType" class="label-title"><?php echo JText::_('COM_OPENKM_DOCUMENT_TYPE') ?>:</label></td>
                    <td>                           
                        <select id="mimeType" name="mimeType">
                            <option value=""></option>
                            <option value="text/html">HTML</option>
                            <option value="application/vnd.ms-excel">MS Excel</option>
                            <option value="application/vnd.ms-powerpoint">MS PowerPoint</option>
                            <option value="application/msword">MS Word</option>
                            <option value="application/vnd.oasis.opendocument.database">OpenOffice.org Database</option>
                            <option value="application/vnd.oasis.opendocument.graphics">OpenOffice.org Draw</option>
                            <option value="application/vnd.oasis.opendocument.presentation">OpenOffice.org Presentation</option>
                            <option value="application/vnd.oasis.opendocument.spreadsheet">OpenOffice.org Spreadsheet</option>
                            <option value="application/vnd.oasis.opendocument.text">OpenOffice.org Word Processor</option>
                            <option value="application/pdf">PDF</option>
                            <option value="application/rtf">RTF</option>
                            <option value="text/plain">TXT</option>
                            <option value="text/xml">XML</option>                                
                        </select>
                    </td>
                </tr>
            </table>
        </div>
        <div class="panel-footer"> 
            <div class="panel-button">
                <button id="searchReturn">
                    <i class="fa fa-reply"></i>
                    <?php echo JText::_('COM_OPENKM_GO_BACK') ?>
                </button>
                <button id="searchAdvanced">
                    <i class="fa fa-search"></i>
                    <?php echo Jtext::_('COM_OPENKM_SEARCH') ?>
                </button>    
            </div>     
        </div>
        <input type="hidden" name="option" value="com_openkm" />
        <input type="hidden" name="view" value="search"/>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="id" value="<?php echo $this->rowConfiguration->idConfiguration; ?>"/>
    </div>
</form>